From a2de8560885469f3d76c80207a669029e4fc8a45 Mon Sep 17 00:00:00 2001
From: Linus Walleij <linus.walleij@linaro.org>
Date: Mon, 11 Mar 2019 15:44:29 +0100
Subject: [PATCH 2/7] ARM: dts: Augment DIR-685 partition table for OpenWrt

Rename the firmware partition so that the firmware MTD
splitter will do its job, drop the rootfs arguments as
the MTD splitter will set this up automatically.

Signed-off-by: Linus Walleij <linus.walleij@linaro.org>
---
 arch/arm/boot/dts/gemini-dlink-dir-685.dts | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

--- a/arch/arm/boot/dts/gemini-dlink-dir-685.dts
+++ b/arch/arm/boot/dts/gemini-dlink-dir-685.dts
@@ -20,7 +20,7 @@
 	};
 
 	chosen {
-		bootargs = "console=ttyS0,19200n8 root=/dev/sda1 rw rootwait consoleblank=300";
+		bootargs = "console=ttyS0,19200n8 consoleblank=300";
 		stdout-path = "uart0:19200n8";
 	};
 
@@ -285,9 +285,9 @@
 				 * this is called "upgrade" on the vendor system.
 				 */
 				partition@40000 {
-					label = "upgrade";
+					compatible = "wrg";
+					label = "firmware";
 					reg = <0x00040000 0x01f40000>;
-					read-only;
 				};
 				/* RGDB, Residental Gateway Database? */
 				partition@1f80000 {
